Benvenuto!

Questo è il forum ufficiale dell'Associazione Odoo Italia. Dopo esserti registrato potrai partecipare ponendo domande o rispondendo a quelle esistenti. Non scordarti di compilare il tuo profilo e consultare le linee guida prima di iniziare a scrivere.

0

0
Avatar

Davide Corio

--Davide Corio--
1562
| 5 2 7
Luserna San Giovanni, Italia
--Davide Corio--

Programma qualsiasi cosa abbia a portata di mano dal 1997, ma non gli piace farsi chiamare "sviluppatore": il mondo del software è più interessante quando osservato con gli occhi di chi usa gli strumenti IT. Da più di 12 anni si occupa di consulenza legata esclusivamente ad Odoo, un framework basato su Python per la costruzione di soluzioni ERP.

Davide Corio
Il 22/11/22, 08:58

Ciao, hai provato semplicemente con un -u all sul database migrato?


La tua risposta

0

Buon giorno Davide,  ho upgradato la versione installata,  aggiornando tutti i moduli,

poi

ho provato a installare questa iso 12 

https://odoo.pnlug.it/iso

caricando il database, stessi problemi.

come devo lanciare quel comando?  sinceramente non lo mai usato  .

enrico



La tua risposta

0
Avatar

Davide Corio

--Davide Corio--
1562
| 5 2 7
Luserna San Giovanni, Italia
--Davide Corio--

Programma qualsiasi cosa abbia a portata di mano dal 1997, ma non gli piace farsi chiamare "sviluppatore": il mondo del software è più interessante quando osservato con gli occhi di chi usa gli strumenti IT. Da più di 12 anni si occupa di consulenza legata esclusivamente ad Odoo, un framework basato su Python per la costruzione di soluzioni ERP.

Davide Corio
Il 22/11/22, 09:36

Ciao Enrico,

una volta che hai ottenuto il database aggiornato alla versione 13, dopo aver fatto il restore su Odoo 13, devi lanciare Odoo 13 a mano (dopo aver fermato il servizio) con un comando tipo:

odoo -c /percorso/file/odoo.conf -d nomedatabase -u all --stop-after-init

Purtroppo non conosco quell'immagine ISO quindi non ti so dire quali siano i percorsi corretti


La tua risposta

0

Ok risolto , ero  entrato in palla, facendo  confusione con i pacchetti,

o riaggiornato tutti  i pacchetti

aggiornato il database e va.

Grazie

Enrico


La tua risposta

0

ora si tenta upgrade alla 13

:)


La tua risposta

0

il problema è che ho un database vecchio, una versione 12 poco aggiornata, 

sapevo che prima si doveva aggiornare  la 12 a l'ultimi pacchetti prima di passare alla 13.

operazione che non mi è riuscita.

o posso tentare di passare alla 13 anche con un database vecchio come moduli?

Enrico


La tua risposta

0

 a si, ho provato nella  versione originane " odoo -u all -d odoo --stop-after-init"ma misa che ho fatto qualche boiata di troppo.

per esempio i moduli :

account-invoicing
account-financial-tools
account-financial-reporting
partner-contact
stock-logistics-workflow
intrastat-extrastat
server-ux
pos
account-payment

con pip non i upgrada ,

vanno upgradatti clonando i pacchetti e copiandoli?




La tua risposta


0
2022-11-22 08:33:23,066 4669 INFO odoo odoo.addons.base.models.ir_cron: Starting job `Mail: Notify channel moderators`.  
2022-11-22 08:33:23,072 4669 ERROR odoo odoo.sql_db: bad query: SELECT "res_partner"."id" as "id","res_partner"."type" as "type","res_part
ner"."company_id" as "company_id","res_partner"."register_regdate" as "register_regdate","res_partner"."create_uid" as "create_uid","res_p
artner"."electronic_invoice_subjected" as "electronic_invoice_subjected","res_partner"."write_uid" as "write_uid","res_partner"."electroni
c_invoice_obliged_subject" as "electronic_invoice_obliged_subject","res_partner"."title" as "title","res_partner"."commercial_partner_id" 
as "commercial_partner_id","res_partner"."parent_id" as "parent_id","res_partner"."rea_office" as "rea_office","res_partner"."electronic_i
nvoice_no_contact_update" as "electronic_invoice_no_contact_update","res_partner"."invoice_warn" as "invoice_warn","res_partner"."display_
name" as "display_name","res_partner"."electronic_invoice_use_this_address" as "electronic_invoice_use_this_address","res_partner"."rea_me
mber_type" as "rea_member_type","res_partner"."out_fiscal_document_type" as "out_fiscal_document_type","res_partner"."user_id" as "user_id
","res_partner"."max_invoice_in_xml" as "max_invoice_in_xml","res_partner"."rea_liquidation_state" as "rea_liquidation_state","res_partner
"."ref" as "ref","res_partner"."in_fiscal_document_type" as "in_fiscal_document_type","res_partner"."e_invoice_price_decimal_digits" as "e
_invoice_price_decimal_digits","res_partner"."comment" as "comment","res_partner"."sale_warn" as "sale_warn","res_partner"."state_id" as "
state_id","res_partner"."register_province" as "register_province","res_partner"."e_invoice_quantity_decimal_digits" as "e_invoice_quantit
y_decimal_digits","res_partner"."credit_limit" as "credit_limit","res_partner"."e_invoice_detail_level" as "e_invoice_detail_level","res_p
artner"."vat" as "vat","res_partner"."country_id" as "country_id","res_partner"."register_fiscalpos" as "register_fiscalpos","res_partner"
."e_invoice_discount_decimal_digits" as "e_invoice_discount_decimal_digits","res_partner"."lang" as "lang","res_partner"."website" as "web
site","res_partner"."industry_id" as "industry_id","res_partner"."message_main_attachment_id" as "message_main_attachment_id","res_partner
"."e_invoice_default_product_id" as "e_invoice_default_product_id","res_partner"."tz" as "tz","res_partner"."barcode" as "barcode","res_pa
rtner"."is_pa" as "is_pa","res_partner"."message_bounce" as "message_bounce","res_partner"."signup_type" as "signup_type","res_partner"."r
egister" as "register","res_partner"."create_date" as "create_date","res_partner"."signup_expiration" as "signup_expiration","res_partner"
."write_date" as "write_date","res_partner"."function" as "function","res_partner"."commercial_company_name" as "commercial_company_name",
"res_partner"."register_code" as "register_code","res_partner"."street" as "street","res_partner"."company_name" as "company_name","res_pa
rtner"."pec_mail" as "pec_mail","res_partner"."team_id" as "team_id","res_partner"."codice_destinatario" as "codice_destinatario","res_par
tner"."date" as "date","res_partner"."partner_gid" as "partner_gid","res_partner"."debit_limit" as "debit_limit","res_partner"."street2" a
s "street2","res_partner"."ipa_code" as "ipa_code","res_partner"."additional_info" as "additional_info","res_partner"."pec_destinatario" a
s "pec_destinatario","res_partner"."active" as "active","res_partner"."zip" as "zip","res_partner"."rea_code" as "rea_code","res_partner".
"customer" as "customer","res_partner"."invoice_warn_msg" as "invoice_warn_msg","res_partner"."sanitized_vat" as "sanitized_vat","res_part
ner"."city" as "city","res_partner"."supplier" as "supplier","res_partner"."rea_capital" as "rea_capital","res_partner"."email" as "email"
,"res_partner"."firstname" as "firstname","res_partner"."fiscalcode" as "fiscalcode","res_partner"."employee" as "employee","res_partner".
"sale_warn_msg" as "sale_warn_msg","res_partner"."lastname" as "lastname","res_partner"."eori_code" as "eori_code","res_partner"."is_compa
ny" as "is_company","res_partner"."last_time_entries_checked" as "last_time_entries_checked","res_partner"."phone" as "phone","res_partner
"."name" as "name","res_partner"."license_number" as "license_number","res_partner"."color" as "color","res_partner"."mobile" as "mobile",
"res_partner"."signup_token" as "signup_token","res_partner"."pa_partner_code" as "pa_partner_code","res_partner"."partner_share" as "part
ner_share" FROM "res_partner" WHERE "res_partner".id IN (79)
ERROR: ERRORE:  la colonna res_partner.e_invoice_price_decimal_digits non esiste
LINE 1: ...iscal_document_type" as "in_fiscal_document_type","res_partn...
                                                             ^
  
2022-11-22 08:33:23,080 4669 ERROR odoo odoo.addons.base.models.ir_cron: Unexpected exception while processing cron job {'id': 6, 'functio
n': None, 'create_uid': 1, 'interval_type': 'days', 'user_id': 1, 'name': None, 'args': None, 'numbercall': -1, 'nextcall': datetime.datet
ime(2022, 11, 18, 17, 50, 59), 'priority': 1000, 'create_date': datetime.datetime(2021, 1, 14, 17, 50, 49, 449977), 'doall': False, 'write
_date': datetime.datetime(2021, 1, 14, 17, 50, 49, 449977), 'active': True, 'interval_number': 1, 'write_uid': 1, 'model': None, 'ir_actio
ns_server_id': 349, 'cron_name': 'Mail: Notify channel moderators'}  
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/api.py", line 1049, in get
    value = self._data[key][field][record._ids[0]]
KeyError: 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1032, in __get__
    value = record.env.cache.get(record, self)
  File "/usr/lib/python3/dist-packages/odoo/api.py", line 1051, in get
    raise CacheMiss(record, field)
odoo.exceptions.CacheMiss: ('res.users(1,).tz', None)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/api.py", line 1049, in get
    value = self._data[key][field][record._ids[0]]
KeyError: 79

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1032, in __get__
    value = record.env.cache.get(record, self)
  File "/usr/lib/python3/dist-packages/odoo/api.py", line 1051, in get
    raise CacheMiss(record, field)
odoo.exceptions.CacheMiss: ('res.partner(79,).tz', None)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_cron.py", line 230, in _process_jobs
    registry[cls._name]._process_job(job_cr, job, lock_cr)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_cron.py", line 136, in _process_job
    now = fields.Datetime.context_timestamp(cron, datetime.now())
  File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1736, in context_timestamp
    tz_name = record._context.get('tz') or record.env.user.tz
  File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1036, in __get__
    self.determine_value(record)
  File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1149, in determine_value
    self.compute_value(recs)
  File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1103, in compute_value
    self._compute_value(records)
  File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1096, in _compute_value
    self.compute(records)
  File "/usr/lib/python3/dist-packages/odoo/fields.py", line 649, in _compute_related
    record[self.name] = value[self.related_field.name]
  File "/usr/lib/python3/dist-packages/odoo/models.py", line 5167, in __getitem__
    return self._fields[key].__get__(self, type(self))
  File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1036, in __get__
    self.determine_value(record)
  File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1139, in determine_value
    record._prefetch_field(self)
  File "/usr/lib/python3/dist-packages/odoo/models.py", line 2880, in _prefetch_field
    result = records.read([f.name for f in fs], load='_classic_write')
  File "/usr/lib/python3/dist-packages/odoo/models.py", line 2818, in read
    self._read_from_database(stored, inherited)
  File "/usr/lib/python3/dist-packages/odoo/models.py", line 2945, in _read_from_database
    cr.execute(query_str, params)
  File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 148, in wrapper
    return f(self, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/sql_db.py", line 225, in execute
    res = self._obj.execute(query, params)
psycopg2.errors.UndefinedColumn: ERRORE:  la colonna res_partner.e_invoice_price_decimal_digits non esiste
LINE 1: ...iscal_document_type" as "in_fiscal_document_type","res_partn...

            

La tua risposta

Resta informato

Informazioni sulla comunità

Forum ufficiale dell'Associazione Odoo Italia Leggi le linee guida

Strumenti di richiesta

77 follower

Statistiche

Richiesta del: 21/11/22, 18:11
Vista: 116 volte
Ultimo aggiornamento: 22/11/22, 11:55